# ImagickDraw::line

(PECL imagick 2.0.0)

ImagickDraw::line — Draws a line

### Description

ImagickDraw::line ( float `$sx` , float `$sy` , float `$ex` , float `$ey` ) : bool
Warning

This function is currently not documented; only its argument list is available.

Draws a line on the image using the current stroke color, stroke opacity, and stroke width.

### Parameters

`sx`

  starting x coordinate

`sy`

  starting y coordinate

`ex`

  ending x coordinate

`ey`

  ending y coordinate

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::line()

`<?php
function line($strokeColor, $fillColor, $backgroundColor) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeWidth(2);
$draw->setFontSize(72);
$draw->line(125, 70, 100, 50);
$draw->line(350, 170, 100, 150);
$imagick = new \Imagick();
$imagick->newImage(500, 500, $backgroundColor);
$imagick->setImageFormat("png");
$imagick->drawImage($draw);
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`